pcl::tracking::_ParticleXYZR Struct Reference

`#include <pcl/tracking/impl/tracking.hpp>`

Inheritance diagram for pcl::tracking::_ParticleXYZR:

## Public Attributes

| PCL_ADD_POINT4D
union {
struct {
float roll
float pitch
float yaw
float weight
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 168 of file tracking.hpp.

## Member Data Documentation

union { ... }

float pcl::tracking::_ParticleXYZR::data_c[4]

Definition at line 180 of file tracking.hpp.

pcl::tracking::_ParticleXYZR::PCL_ADD_POINT4D

Definition at line 170 of file tracking.hpp.

float pcl::tracking::_ParticleXYZR::pitch

Definition at line 176 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), and pcl::tracking::operator<<().

float pcl::tracking::_ParticleXYZR::roll

Definition at line 175 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), and pcl::tracking::operator<<().

float pcl::tracking::_ParticleXYZR::weight

Definition at line 178 of file tracking.hpp.

float pcl::tracking::_ParticleXYZR::yaw

Definition at line 177 of file tracking.hpp.

Referenced by pcl::tracking::operator*(), pcl::tracking::operator+(), pcl::tracking::operator-(), and pcl::tracking::operator<<().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/tracking/include/pcl/tracking/impl/tracking.hpp